JDownloader Community - Appwork GmbH
 

Reply
 
Thread Tools Display Modes
  #1  
Old 01.08.2010, 23:46
flashlight
Guest
 
Posts: n/a
Default Is there an incompatibility between the latest jre and jd for Linux

I don't know if there is an issue with jd here or not - but I have been getting constant jre errors for the last week running jdownloader. That's probably about the same time as the latest jre environment was updated on my system. I made a fresh install of Ubuntu Lucid within the past 24 hours, and jdownloader caused the same crash on my first attempt to use it. Can't say its a jdownloader problem - maybe there is an issue between the latest jre and my hardware. Here's the header from the jre error report in any event.


#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007f2d6682bfb6, pid=7975, tid=139832173893392
#
# JRE version: 6.0_18-b18
# Java VM: OpenJDK 64-Bit Server VM (16.0-b13 mixed mode linux-amd64 )
# Derivative: IcedTea6 1.8
# Distribution: Ubuntu 10.04.1 LTS, package 6b18-1.8-4ubuntu3
# Problematic frame:
# V [libjvm.so+0x5d9fb6]
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# **External links are only visible to Support Staff****External links are only visible to Support Staff**
#

Last edited by Jiaz; 04.08.2010 at 11:16.
Reply With Quote
  #2  
Old 02.08.2010, 10:11
flashlight
Guest
 
Posts: n/a
Default

I deleted the openjdk version of jre, downloaded the sun version of jre from the Partner depository and initially at least all seems well again with jdownloader. So I have to assume that the upgrade of the openjdk version of java is the cause of the incompatibility (crashed) with jdownloader.
Reply With Quote
  #3  
Old 02.08.2010, 10:20
remi
Guest
 
Posts: n/a
Default

JRE version 6.0_18 had lots of bugs.
Reply With Quote
  #4  
Old 04.08.2010, 11:16
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 60,451
Default

+ there are known openjdk bugs that cause java crashes. use sun-java

sudo apt-get install sun-java6-jre
sudo update-alternatives --config java
and select sun java
__________________
JD-Dev & Server-Admin
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT +2. The time now is 15:14.
Provided By AppWork GmbH | Privacy | Imprint
Parts of the Design are used from Kirsch designed by Andrew & Austin
Powered by vBulletin® Version 3.8.10 Beta 1
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.